version: '3.7'
services:
  #server:
  #  restart: always
  #  image: nginx
  #  volumes:
  #    - ./server/conf.d:/etc/nginx/conf.d
  #    - ./app/static:/app/static
  #  links:
  #    - web:web
  #  ports:
  #    - "80:80"
#  mongodb_container:
#      image: mongo:latest
#      environment:
#        MONGO_INITDB_ROOT_USERNAME: root
#        MONGO_INITDB_ROOT_PASSWORD: rootpassword
#      ports:
#        - 27020:27017
#      volumes:
#        - mongodb_data_container:/data/db

  web:
    restart: always
    build: ./app
    volumes:
      - ./app:/usr/src/app/
    env_file:
      - ./app/.env
    expose:
      - "8000"
#    command: gunicorn app:app -b :8000  --timeout 1000 --name app --log-level=debug --log-file=- --reload
    command: gunicorn -w 1 -b :8000 app:server --reload

volumes:
  mongodb_data_container: